> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert a question at a specific position

> Creates or updates a question at the specified position in the thread.

## Upsert a question at a specific position

Creates or updates a question at the specified position in the thread.

### Path Parameters

<ParamField path name="thread_id" type="integer" required>
  No description provided
</ParamField>

<ParamField path name="position" type="integer" required>
  No description provided
</ParamField>

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "position": {},
    "question_id": {}
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "thread_id": 123,
    "question_id": 123,
    "position": 123,
    "created_at": "string"
  }
  ```
</ResponseExample>
